/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;

import java.io.Serializable;

/**
 * 计划应用关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-12-06 17:37:23  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "计划应用关联表")
public class AtuPlanAppLink extends Partition implements Serializable
{
  public static final String KEY_id = "id";
  public static final String KEY_planId = "planId";
  public static final String KEY_appId = "appId";
  public static final String KEY_appPackage = "appPackage";
  public static final String KEY_platformType = "platformType";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 计划主键<br>
   */
  @ApiModelProperty("计划主键")
  @Size(max = 32, message="计划主键-planId: 数据长度不能 > 32" )
  private String planId;
  /**
   * 应用主键<br>
   */
  @ApiModelProperty("应用主键")
  @Size(max = 32, message="应用主键-appId: 数据长度不能 > 32" )
  private String appId;
  /**
   * 应用包名<br>
   */
  @ApiModelProperty("应用包名")
  @Size(max = 90, message="应用包名-appPackage: 数据长度不能 > 90" )
  private String appPackage;
  /**
   * 平台类型;0-android,1-ios<br>
   */
  @ApiModelProperty("平台类型;0-android,1-ios")
  @Size(max = 1, message="平台类型;0-android,1-ios-platformType: 数据长度不能 > 1" )
  private String platformType;

  /**
   * 主键<br>
   */
  public String getId()
  {
    return id;
  }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
    this.id = id;
  }
  /**
   * 计划主键<br>
   */
  public String getPlanId()
  {
    return planId;
  }

  /**
   * 计划主键<br>
   *
   * @param planId 计划主键
   */
  public void setPlanId(String planId)
  {
    this.planId = planId;
  }
  /**
   * 应用主键<br>
   */
  public String getAppId()
  {
    return appId;
  }

  /**
   * 应用主键<br>
   *
   * @param appId 应用主键
   */
  public void setAppId(String appId)
  {
    this.appId = appId;
  }
  /**
   * 应用包名<br>
   */
  public String getAppPackage()
  {
    return appPackage;
  }

  /**
   * 应用包名<br>
   *
   * @param appPackage 应用包名
   */
  public void setAppPackage(String appPackage)
  {
    this.appPackage = appPackage;
  }
  /**
   * 平台类型;0-android,1-ios<br>
   */
  public String getPlatformType()
  {
    return platformType;
  }

  /**
   * 平台类型;0-android,1-ios<br>
   *
   * @param platformType 平台类型;0-android,1-ios
   */
  public void setPlatformType(String platformType)
  {
    this.platformType = platformType;
  }

  public AtuPlanAppLink()
  {
  }

}

